View all methods
snapshots.driverComments.list
Retrieve driver comments for a specific snapshot. Comments are returned newest first.
Facts
| Method | GET https://api.getdx.com/snapshots.driverComments.list |
| Required scope | snapshots:read |
Arguments
Required arguments
| Name | Type | Description |
|---|---|---|
token |
Token |
Auth token passed as an HTTP header. |
id |
Text |
The unique ID of the snapshot. |
Optional arguments
| Name | Type | Description |
|---|---|---|
cursor |
String |
Cursor used to request the next page. Can be found in a prior response via response_metadata.next_cursor. |
limit |
Integer |
Maximum number of comments per page. Defaults to 50. Maximum is 100. |
Example request
This is a typical request:
curl -X GET 'https://api.getdx.com/snapshots.driverComments.list?id=<SNAPSHOT_ID>&limit=2' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx'
Example response
This is a typical success response:
{
"ok": true,
"comments": [
{
"driver_name": "Cross-functional collaboration",
"email": "jane.doe@example.com",
"text": "Release coordination is getting blocked on QA handoffs.",
"created_at": "2026-02-10 0:00:00",
"snapshot_id": "MjUyNbaY"
},
{
"driver_name": "Deep work & focus time",
"email": "alex.lee@example.com",
"text": "On-call interruptions are still affecting delivery.",
"created_at": "2026-02-10 0:00:00",
"snapshot_id": "MjUyNbaY"
}
],
"response_metadata": {
"next_cursor": "MTQ2"
}
}
Errors
This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok param in the response.
| Error | Description |
|---|---|
not_authed |
No authentication token provided. |
invalid_auth |
Some aspect of authentication cannot be validated. |
invalid_arguments |
One or more of the arguments provided is invalid. |
not_found |
No snapshot with the given ID exists for the current account. |